;demo07-05.bb - Split views with cones
; ------------------
Graphics3D 640,480 
SetBuffer BackBuffer()

Const ESC_KEY = 1


; Create camera
camera1=CreateCamera()
PositionEntity camera1,0,5,5
RotateEntity camera1,90,0,0
camera2=CreateCamera()
PositionEntity camera2,0,0,0


; Create a light 
light=CreateLight()

; This is the code for creating the cone
cone=CreateCone()
PositionEntity cone,0,0,5
EntityColor cone, 0, 26, 125

; Using CameraViewport
CameraViewport camera1,0,0,GraphicsWidth()/2,GraphicsHeight()
CameraViewport camera2,GraphicsWidth()/2,0,GraphicsWidth()/2,GraphicsHeight()

; This following code deals with cameras and cylinders 
While Not KeyDown(ESC_KEY)
		
	RenderWorld 
	Flip
Wend
End