;demo07-04.bb - Split views with cameras
; ------------------
Graphics3D 640,480 
SetBuffer BackBuffer()

Const ESC_KEY = 1


; Create camera
camera1=CreateCamera()
PositionEntity camera1,0,5,5
RotateEntity camera1,90,0,0
camera2=CreateCamera()
PositionEntity camera2,0,0,0


; Create a light 
light=CreateLight()

; This is the code for creating the cylinder
cylinder=CreateCylinder()
PositionEntity cylinder,0,0,5
; Using CameraViewport
CameraViewport camera1,0,0,GraphicsWidth(),GraphicsHeight()/2
CameraViewport camera2,0,GraphicsHeight()/2,GraphicsWidth(),GraphicsHeight()/2

; This following code deals with cameras and cylinders 
While Not KeyDown(ESC_KEY)
		
	RenderWorld 
	Flip
Wend
End