;demo07-06.bb - Camera zooming
; ------------------
Graphics3D 640,480 
SetBuffer BackBuffer()

Const ESC_KEY = 1
Const UP_KEY = 200
Const DOWN_KEY = 208

; Create camera
camera=CreateCamera()
zoom# = 1

; Create a light 
light=CreateLight()

; This is the code for creating the sphere
sphere=CreateSphere()
PositionEntity sphere,0,0,9
ScaleEntity sphere, .2, .2, .2
EntityColor sphere, 0, 26, 125

; This following code deals with cameras and cylinders 
While Not KeyDown(ESC_KEY)
	
	If KeyDown(UP_KEY) Then zoom# = zoom# + 1
	If KeyDown(DOWN_KEY) Then zoom# = zoom# - 1
	
	If zoom# < 1 Then zoom# = 1 
	CameraZoom camera, zoom#
	
		
	RenderWorld 
	Flip
Wend
End