;demo09-05.bb - Going inside a shape
; ------------------
Graphics3D 640,480 
SetBuffer BackBuffer()

Const ESC_KEY = 1
Const LEFT_KEY = 203
Const RIGHT_KEY = 205
Const UP_KEY = 200
Const DOWN_KEY = 208

; Create camera
camera=CreateCamera()
PositionEntity camera,0,1,0

; Create a light
light=CreateLight()

;Create our Cube World
cubeworld=CreateCube()
FitMesh cubeworld,-250,0,-250,500,500,500
FlipMesh cubeworld
tex=LoadTexture( "wall.jpg" )
ScaleTexture tex, 0.5,0.5
EntityTexture cubeworld,tex
EntityFX cubeworld,1



; Create the terrain
ground=CreateTerrain(512)


; This following code deals with cameras and terrain 
While Not KeyDown(ESC_KEY)

	If KeyDown(RIGHT_KEY)=True Then TurnEntity camera,0,-1,0
	If KeyDown(LEFT_KEY)=True Then TurnEntity camera,0,1,0
	If KeyDown(DOWN_KEY)=True Then TurnEntity camera,-1,0,0
	If KeyDown(UP_KEY)=True Then TurnEntity camera,1,0,0

	RenderWorld 
	Flip
Wend
End